Subject: Re: [RFC PATCH v6 15/16] cipso: Add support for native local labeling and fixup mapping names

From: Paul Moore <[email-masked]>
Date: Wed, 1 Oct 2008 22:13:26 -0400

On Wednesday 01 October 2008 6:12:16 pm James Morris wrote:
> On Wed, 1 Oct 2008, Paul Moore wrote:
> > > ... and why specify zero filling?  (Setting and testing that
> > > would be wasted cycles, if you enforced it).
> >
> > Better alignment within the IP option field, the goal being to try
> > and get the secid aligned on a 32bit boundary.  However, it just
> > occurred to me that by adding the two octets of padding I've
> > actually pushed it out of alignment (I forgot about the obligatory
> > IP option type and length octets).
>
> I mean, why specify zero-filled rather than simply "unused" ?

Gotcha.  Yes, "unused" or "reserved" would be much better but it is 
kinda moot right now anyway since the Right Thing is to just remove the 
padding entirely.

> > Man I hate IPv4 options, what a parsing nightmare ...
>
> It was all fixed with IPv6, right? :-)

That is what the brochure says :)

-- 
paul moore
linux @ hp